1

After upgrading packages in emacs, I have the following error message when trying to run R (M-x R): Symbol's function definition is void: ess-s-define-runners. I can't find where the error is. Here's my ESS set-up in my init file, but I don't think it's coming from there:

(setq ess-eval-visibly-p nil)
(use-package polymode
:ensure f
:init (require 'poly-R)
      (require 'poly-markdown)
      (require 'poly-noweb)
:config
(add-to-list 'auto-mode-alist '("\\.md" . poly-markdown-mode))
(add-to-list 'auto-mode-alist '("\\.Snw" . poly-noweb+r-mode))
(add-to-list 'auto-mode-alist '("\\.Rnw" . poly-noweb+r-mode))
(add-to-list 'auto-mode-alist '("\\.Rmd" . poly-markdown+r-mode)))
(add-hook 'ess-R-post-run-hook 'smartparens-mode)
(global-set-key (kbd "C-S-m") (lambda () (interactive) (insert " %>% ")))
1

This was a known bug and updating to latest ESS version solves the problem. See https://github.com/emacs-ess/ESS/issues/596.

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.